CamelGpgContext
3
CAMEL Library

# CamelGpgContext

## Synopsis

                        CamelGpgContext;
    CamelCipherContext* camel_gpg_context_new               (CamelSession *session);
    void                camel_gpg_context_set_always_trust  (CamelGpgContext *ctx,
                                                             gboolean trust);

## Description

## Details

### CamelGpgContext

    typedef struct {
    	CamelCipherContext parent_object;

    	gboolean always_trust;
    } CamelGpgContext;

### camel_gpg_context_new ()

    CamelCipherContext* camel_gpg_context_new               (CamelSession *session);

Creates a new gpg cipher context object.

`session` :

  session

Returns :

  a new gpg cipher context object.

### camel_gpg_context_set_always_trust ()

    void                camel_gpg_context_set_always_trust  (CamelGpgContext *ctx,
                                                             gboolean trust);

Sets the `always_trust` flag on the gpg context which is used for encryption.

`ctx` :

  gpg context `always_trust` always truct flag

`trust` :